#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	OpenSSL-RSA
Summary:	Crypt::OpenSSL::RSA - RSA encoding and decoding, using the OpenSSL libraries
Summary(pl.UTF-8):	Crypt::OpenSSL::RSA - kodowanie i dekodowanie RSA przy użyciu OpenSSL
Name:		perl-Crypt-OpenSSL-RSA
Version:	0.28
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	86217a5036fc63779c30420b5fd84129
URL:		http://search.cpan.org/dist/Crypt-OpenSSL-RSA/
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Crypt-OpenSSL-Random
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::OpenSSL::RSA provides the ability to RSA encrypt strings which
are somewhat shorter than the block size of a key.  It also allows for
decryption, signatures and signature verification.

%description -l pl.UTF-8
Moduł Crypt::OpenSSL::RSA udostępnia możliwość kodowania algorytmem
RSA łańcuchów, które są krótsze niż rozmiar bloku klucza. Pozwala
także na odszyfrowywanie oraz weryfikację podpisów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/OpenSSL/RSA.pm
%dir %{perl_vendorarch}/auto/Crypt/OpenSSL/RSA
%{perl_vendorarch}/auto/Crypt/OpenSSL/RSA/*.al
%{perl_vendorarch}/auto/Crypt/OpenSSL/RSA/*.bs
%{perl_vendorarch}/auto/Crypt/OpenSSL/RSA/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/OpenSSL/RSA/*.so
%{_mandir}/man3/Crypt::OpenSSL::RSA.3pm*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-OpenSSL-RSA.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 17f3bd8
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun Feb 12 2012 Jakub Bogusz <qboosh@pld-linux.org> a173b70
- verbose man files

* Fri Oct 07 2011 lisu <lisu@pld-linux.org> 8c2b80c
- updated to 0.28

* Fri Oct 07 2011 lisu <lisu@pld-linux.org> fa34b1c
- rel 8

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 31cdec6
- release 7

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> fa6befa
- release 6

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> df55f5c
- release 5

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 84488ee
- release 4

* Sun Mar 02 2008 radek <radek@pld-linux.org> 69ef528
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3c3ec1f
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 9ad487c
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Mon Dec 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 3ae1803
- generic URL

* Sun Dec 23 2007 zbyniu <zbyniu@pld-linux.org> d0e155a
- up to 0.25

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f01a88e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> add9040
- converted to UTF-8

* Fri May 26 2006 Jakub Bogusz <qboosh@pld-linux.org> dc605c5
- obsolete

* Thu May 25 2006 blaass <blaass@pld-linux.org> ce8e179
- updated to 0.23, removed old patch, rel up

* Sun Apr 09 2006 Jakub Bogusz <qboosh@pld-linux.org> 136e019
- added includes patch, now builds on openssl 0.9.8

* Sun Apr 09 2006 Jakub Bogusz <qboosh@pld-linux.org> 700a9b2
- needed to build on openssl 0.9.8

* Fri Apr 07 2006 Maciej Pijanka <agaran@pld-linux.org> b532fd3
- up to 0.22 rel 1 builds here

